#ifndef FORMCHARGINGPOINTMAXPROFILE_H
#define FORMCHARGINGPOINTMAXPROFILE_H

#include <QWidget>
#include "BaseWidget.h"

#include "DataTypeDef.h"

namespace Ui {
class FormChargingPointMaxProfile;
}

class FormChargingPointMaxProfile : public BaseWidget
{
    Q_OBJECT

public:
    explicit FormChargingPointMaxProfile(BaseWidget *parent = nullptr);
    ~FormChargingPointMaxProfile();

    bool returnParent() override;

    charging_profiles_detail_info_t profile_info() const;
    void setProfile_info(charging_profiles_detail_info_t newProfile_info);

private:
    void initWidget();
    void initConnect();

    void refreshStackLevelCombox(const int& maxStacklevel);

    void refreshData();
    void refreshChargingRateUnit(const QString& curUnit);
    bool updateData();

protected:
    void showEvent(QShowEvent *event) override;

private:
    Ui::FormChargingPointMaxProfile *ui;
    charging_profiles_detail_info_t m_profile_info;
};

#endif // FORMCHARGINGPOINTMAXPROFILE_H
